<html lang=en>
<head>
<meta name="Generated by Rational Rose model" content="D:\work\WTP\org.eclipse.jst.j2ee.core\rose\j2ee.mdl">
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<meta name="Description" content="The port-component-ref element declares a client dependency      on the container for resolving a Service Endpoint Interface      to a WSDL port. It optionally associates the Service Endpoint      Interface with a particular port-component. This is only used      by the container for a Service.getPort(Class) method call.">
<meta name="KeyWords" content="PortComponentRef,Class PortComponentRef,j2ee,model j2ee,">
<a href="../../root.html" target=_top><IMG SRC="../../webviewer/home.gif"BORDER=0></a>
</head>
<body bgcolor = "#FFFFFF">
<p><font FACE="Arial, Geneva" SIZE=3><b>Class&nbsp;PortComponentRef&nbsp;{Analysis}</b></font></p>
<font FACE="Arial, Geneva" SIZE=2><b>Documentation</b></font><BR><font FACE="Arial, Geneva" SIZE=2>The&nbsp;port-component-ref&nbsp;element&nbsp;declares&nbsp;a&nbsp;client&nbsp;dependency
<BR>&nbsp;&nbsp;&nbsp;&nbsp;on&nbsp;the&nbsp;container&nbsp;for&nbsp;resolving&nbsp;a&nbsp;Service&nbsp;Endpoint&nbsp;Interface
<BR>&nbsp;&nbsp;&nbsp;&nbsp;to&nbsp;a&nbsp;WSDL&nbsp;port.&nbsp;It&nbsp;optionally&nbsp;associates&nbsp;the&nbsp;Service&nbsp;Endpoint
<BR>&nbsp;&nbsp;&nbsp;&nbsp;Interface&nbsp;with&nbsp;a&nbsp;particular&nbsp;port-component.&nbsp;This&nbsp;is&nbsp;only&nbsp;used
<BR>&nbsp;&nbsp;&nbsp;&nbsp;by&nbsp;the&nbsp;container&nbsp;for&nbsp;a&nbsp;Service.getPort(Class)&nbsp;method&nbsp;call.</font><BR><BR>
</body>
</html>
